## visad.data.dods
Class AttributeAdapter

    java.lang.Object
      visad.data.dods.Adapter
          visad.data.dods.AttributeAdapter

Direct Known Subclasses:
  ContainerAttributeAdapter, NumericAttributeAdapter, StringAttributeAdapter, UnknownAttributeAdapter

public abstract class AttributeAdapter
extends Adapter

Provides support for adapting a DODS attribute to the VisAD data-import context.

Instances are immutable.

Constructor Summary
`AttributeAdapter()`

Method Summary
`abstract DataImpl` `data(boolean copy)` Returns the VisAD data object corresponding to this instance.

Methods inherited from class visad.data.dods.Adapter
`attributeTable, attributeTable, getCacheStrategy, isFlat, mathType, realType, realType, realType, realType, scalarName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeAdapter

    public AttributeAdapter()

Method Detail

### data

    public abstract DataImpl data(boolean copy)

  Returns the VisAD data object corresponding to this instance.

  Parameters:
    `copy` - If true, then a copy of the data object is returned.
  Returns:
    The VisAD data object corresponding to this instance.